import Vue from 'vue'
import Vuex from 'vuex'
import login from './modules/login'
import finanzerUsers from './modules/finanzerUsers'
import barUsers from '@/store/modules/barUsers'
import user from '@/store/modules/user'
import sm from '@/store/modules/serviceManagement'
import jobs from '@/store/modules/jobs'
import priceList from '@/store/modules/pricelist'
import usermanager from '@/store/modules/userManager'
import wm from '@/store/modules/workgroupManagement'
import jkm from '@/store/modules/jobkindManager'
import jobInvites from "@/store/modules/jobInvites";
import jobRequests from "@/store/modules/jobRequests";

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    login,
    finanzerUsers,
    barUsers,
    user,
    sm,
    jobs,
    priceList,
    usermanager,
    wm,
    jkm,
    jobInvites,
    jobRequests
  }
})
